package org.springblade.gateway.common_gateway.constant;

import org.apache.commons.lang3.ObjectUtils;

/**
 * @Author: Silent
 * @Description 平台设置常量
 * @Date: Created in 15:39 2021/11/9
 * @Modified By:
 */
public interface PlatformSettingConstant {
	/**
	 * 缓存名
	 */
	String cacheKey = "SING:PLATFORM:SETTING";

	/**
	 * 获取缓存Key
	 */
	static String getCacheKey(Long activeKey){
		StringBuilder stringBuilder = new StringBuilder(cacheKey);
		if(ObjectUtils.isNotEmpty(activeKey)){
			stringBuilder.append(":").append(activeKey);
		}
		return stringBuilder.toString();
	}
}
